# Uses of Class
org.snpsift.annotate.AnnotateVcfDb

Packages that use AnnotateVcfDb
Package
Description
org.snpsift
org.snpsift.annotate

## Uses of AnnotateVcfDb in org.snpsift

Fields in org.snpsift declared as AnnotateVcfDb
Modifier and Type
Field
Description
`protected AnnotateVcfDb`
SnpSiftCmdAnnotate.`annotateDb`

## Uses of AnnotateVcfDb in org.snpsift.annotate

Subclasses of AnnotateVcfDb in org.snpsift.annotate
Modifier and Type
Class
Description
`class`
`AnnotateVcfDbMem`
Annotate using a VCF "database" Note: Reads and loads the whole VCF file into memory
`class`
`AnnotateVcfDbSorted`
Annotate using a VCF "database" Note: Assumes that the VCF database file is sorted.
`class`
`AnnotateVcfDbTabix`
Annotate using a tabix indexed VCF "database"